Bug 116301 - fonts.dir disagrees between fresh install and re-install (or upgrade?)
fonts.dir disagrees between fresh install and re-install (or upgrade?)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
1
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 16:10 EST by Stephen Walton
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 14:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2004-02-19 16:10:20 EST
Description of problem:

I have discovered what appears to be a difference between the
fonts.dir file in /usr/share/fonts/default/Type1 created on an initial
install of Fedora and that which results after a re-install. 
Specifically, the trailing part of the name of the "Standard Symbols
L" font is "adobe-fontspecific" after install but "adobe-symbol" after
reinstall.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1.  Install Fedora on a new system.
2.  grep Symbol /usr/share/fonts/default/Type1/fonts.dir
This will produce two lines of output:
s050000l.pfb -urw-Standard Symbols
L-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
s050000l.pfb -urw-Standard Symbols
L-medium-r-normal--0-0-0-0-p-0-iso10646-1

3.  Reinstall urw-fonts using the commands
rpm -i --replacepkgs urw-fonts-2.1-5.1.noarch.rpm

4.  grep Symbol /usr/share/fonts/default/Type1/fonts.dir
The first line of output will have a trailing "adobe-symbol" instead
of "adobe-fontspecific"
  
Actual results:

The fonts.dir files produced above are different.

Expected results:

They should be the same.

Additional info:
Comment 1 Matthew Miller 2006-07-11 13:24:36 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 John Thacker 2006-10-28 14:52:34 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.